---
title: "log"
excerpt: "Computes the logarithm of the number with respect to an arbitrary base."
layout: manual
---

Computes the logarithm of the number with respect to an arbitrary base.

The result might not be correctly rounded owing to implementation details; `log2()` can produce more accurate results for base 2, and `log10()` can produce more accurate results for base 10.

```js
log(num: number, base: number) -> number
```

### Tags

* `math`

### Examples

```js
const exampleSketch = startSketchOn("XZ")
  |> startProfileAt([0, 0], %)
  |> line([log(100, 5), 0], %)
  |> line([5, 8], %)
  |> line([-10, 0], %)
  |> close(%)

const example = extrude(5, exampleSketch)
```

![Rendered example of log 0](data:image/png;base64,[encoded data, 140752 characters])

### Arguments

* `num`: `number` (REQUIRED)
* `base`: `number` (REQUIRED)

### Returns

`number`



